com.fasterxml.jackson.core.util

## Class InternCache

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.concurrent.ConcurrentHashMap<String,String>
    - - com.fasterxml.jackson.core.util.InternCache

All Implemented Interfaces:
  Serializable, ConcurrentMap<String,String>, Map<String,String>

    public final class InternCache
    extends ConcurrentHashMap<String,String>

Singleton class that adds a simple first-level cache in front of regular String.intern() functionality. This is done as a minor performance optimization, to avoid calling native intern() method in cases where same String is being interned multiple times.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.ConcurrentHashMap

`ConcurrentHashMap.KeySetView<K,V>`

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Field Summary

Fields
`static InternCache` `instance`

### Constructor Summary

Constructors
Constructor and Description
`InternCache()`
`InternCache(int maxSize, float loadFactor, int concurrency)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `intern(String input)`

### Methods inherited from class java.util.concurrent.ConcurrentHashMap

`clear, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, forEach, forEach, forEachEntry, forEachEntry, forEachKey, forEachKey, forEachValue, forEachValue, get, getOrDefault, hashCode, isEmpty, keys, keySet, keySet, mappingCount, merge, newKeySet, newKeySet, put, putAll, putIfAbsent, reduce, reduceEntries, reduceEntries, reduceEntriesToDouble, reduceEntriesToInt, reduceEntriesToLong, reduceKeys, reduceKeys, reduceKeysToDouble, reduceKeysToInt, reduceKeysToLong, reduceToDouble, reduceToInt, reduceToLong, reduceValues, reduceValues, reduceValuesToDouble, reduceValuesToInt, reduceValuesToLong, remove, remove, replace, replace, replaceAll, search, searchEntries, searchKeys, searchValues, size, toString, values`

### Methods inherited from class java.util.AbstractMap

`clone`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### instance

    public static final InternCache instance

### Constructor Detail

#### InternCache

    public InternCache()

#### InternCache

    public InternCache(int maxSize,
                       float loadFactor,
                       int concurrency)

### Method Detail

#### intern

    public String intern(String input)